#include<bits/stdc++.h>
using namespace std;

int s, k[2000], n;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin >> s >> n;
    for(int i = 0; i < n; i++){
        cin >> k[i];
    }
  /*  for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            if(k[i]+k[j] == s){
                cout << 2;
                return 0;
            }
        }
    }*/
    for(int i = 0; i < n; i++){
        if(k[i]*5 == s){
            cout << 5;
            return 0;
            }
    }
    /*
    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            for(int z = 0; z < n; z++){
                for(int x = 0; x < n; x++){
                    if(k[i]+k[j]+k[z]+k[x] == s){
                        cout << 4;
                        return 0;
                    }
                }
            }
        }
    }
    cout << 5;
    */

    return 0;
}

